Description: Voici mon scoring pour une question ouverte

<pre>
\AMCOpen{lines=4,lineheight=0.7cm}{
        \wrongchoice[0]{0}\scoring{0}
        \wrongchoice[1]{1}\scoring{0.5}
         \wrongchoice[2]{2}\scoring{1}
          \wrongchoice[3]{3}\scoring{1.5}
        \correctchoice[4]{4}\scoring{2}
        }
</pre>
mais les étudiants qui ont juste, ont une note de 5 alors que je voudrais qu'ils aient 2.

Voici l'entête de ma question, et je n'ai pas de score par défaut.
<pre>
\element{calcprop-ouv-2021}{
\begin{questionmult}{cp-fnd}
</pre>

History
01/18/2022 10:37 pm - Sophie Pinchinat
j'ai résolu mon problème 
1) en ajoutant des "b=" dans chaque \scoring,
2) en mettant toutes les questions justes \correctchoice au lieu de \wrongchoice, et 
3) en indiquant \scoring{MAX=2} au début de la question.

01/18/2022 10:48 pm - Alexis Bienvenüe
En fait votre codification du score à affecter à cette question ouverte est conçue comme une @question@ simple, et non comme une 
@questionmult@, non ?

01/18/2022 10:50 pm - Alexis Bienvenüe
- Description changed from Voici mon scoring pour une question ouverte
\AMCOpen{lines=4,lineheight=0.7cm}{
        \wrongchoice[0]{0}\scoring{0}
        \wrongchoice[1]{1}\scoring{0.5}
         \wrongchoice[2]{2}\scoring{1}
          \wrongchoice[3]{3}\scoring{1.5}
        \correctchoice[4]{4}\scoring{2}
        }
mais les étudiants qui ont juste, ont une note de 5 alors que je voudrais qu'ils aient 2.

Voici l'entête de ma question, et je n'ai pas de score par défaut.

\element{calcprop-ouv-2021}{
\begin{questionmult}{cp-fnd} to Voici mon scoring pour une question ouverte
<pre>
\AMCOpen{lines=4,lineheight=0.7cm}{
        \wrongchoice[0]{0}\scoring{0}
        \wrongchoice[1]{1}\scoring{0.5}
         \wrongchoice[2]{2}\scoring{1}
          \wrongchoice[3]{3}\scoring{1.5}
        \correctchoice[4]{4}\scoring{2}
        }
</pre>
mais les étudiants qui ont juste, ont une note de 5 alors que je voudrais qu'ils aient 2.

Voici l'entête de ma question, et je n'ai pas de score par défaut.
<pre>
\element{calcprop-ouv-2021}{
\begin{questionmult}{cp-fnd}
</pre>

01/18/2022 10:56 pm - Sophie Pinchinat
Alexis Bienvenüe wrote:
> En fait votre codification du score à affecter à cette question ouverte est conçue comme une @question@ simple, et non comme une 
@questionmult@, non ?

j'ai regardé la doc et fait la même chose mais cela ne marchait pas, alors j'ai tâtonné, mais je veux bien qu'on m'explique ce qui n'allait pas. Ma 
question est bien déclarée comme une @questionmult@.

01/18/2022 10:59 pm - Alexis Bienvenüe
@questionmult@ est prévu pour une question pour laquelle on peut cocher zéro, une ou plusieurs réponses. Votre question est plutôt faite pour qu'un 
unique case soit cochée : il faut utiliser @question@ pour cela.

01/18/2022 11:02 pm - Sophie Pinchinat
oui en effet, c'est beaucoup plus cohérent, et je vais procéder ainsi.
Merci pour votre aide.

01/19/2022 07:44 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
